Skip to content

/auth/totp/recovery-codes

POST
/auth/totp/recovery-codes
curl --request POST \
--url https://example.com/api/v1/auth/totp/recovery-codes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "code": "example" }'
Media typeapplication/json
object
code
required
string
/^\d{6}$/
Examplegenerated
{
"code": "example"
}

Default Response

Media typeapplication/json
object
totpEnabled
required
boolean
totpUnreadable
required
boolean
recoveryCodesRemaining
required
Any of:
integer
>= -9007199254740991 <= 9007199254740991
recoveryCodes
required
Array<string>
Examplegenerated
{
"totpEnabled": true,
"totpUnreadable": true,
"recoveryCodesRemaining": 1,
"recoveryCodes": [
"example"
]
}